import React from 'react';
import styled from 'styled-components';
import PromptOrClearDate from './PromptOrClearDate';

function Header({ startDate, setStartDate }: any) {
  const clearDate = () => setStartDate(undefined);

  return (
    <PromptOrClearDate
      date={startDate}
      clearDate={clearDate}
      promptText="Please select a date"
    />
  );
}

export default styled(Header)``;
